Subject: Re: [PATCH 23/23 V2 for 3.19] rtlwifi: Fix error when accessing unmapped memory in skb

From: Larry Finger <[email-masked]>
Date: Sun, 28 Dec 2014 00:15:33 -0600

On 12/27/2014 11:50 PM, Kalle Valo wrote:
> Larry Finger <[email-masked]> writes:
>
>> These drivers use 9100-byte receive buffers, thus allocating an skb requires
>> an O(3) memory allocation. Under heavy memory loads and fragmentation, such
>> a request can fail. Previous versions of the driver have dropped the packet
>> and reused the old buffer; however, the new version introduced a bug in that
>> it released the old buffer before trying to allocate a new one. The previous
>> method is implemented here.
>>
>> Signed-off-by: Larry Finger <[email-masked]>
>> Cc: Stable <[email-masked]>  [v3.18]
>> Reported-by: Eric Biggers <[email-masked]>
>> Cc: Eric Biggers <[email-masked]>
>> ---
>>
>> V2 - Fixes an error in the logic of V1. Realtek is working on a change to
>>       the RX buffer allocation, but that is likely to be too invasive for
>>       a fix to -rc or stable. In the meantime, this will help.
>
> 23/23? Where are patches 1-22? I don't see them in patchwork:
>
> https://patchwork.kernel.org/project/linux-wireless/list/

Sorry. I forgot to edit the subject line. To get git to format that one patch, I 
had to generate a total of 23. There is only 1 of 1 that will be submitted.

Larry

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html